MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031483Community[OCCT] OCCT:Configurationpublic2020-04-02 15:142020-04-11 12:59
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeverityblock 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031483: Configuration - __asm keyword not supported on ARM within Windows target
Description6>E:\OCCT\occt2\src\Standard\Standard.cxx(113): error C4235: nonstandard extension used: '__asm' keyword not supported on this architecture
6>E:\OCCT\occt2\src\Standard\Standard.cxx(115): error C2065: 'push': undeclared identifier
6>E:\OCCT\occt2\src\Standard\Standard.cxx(116): error C2146: syntax error: missing ';' before identifier 'eax'
6>E:\OCCT\occt2\src\Standard\Standard.cxx(115): error C2065: 'eax': undeclared identifier
6>E:\OCCT\occt2\src\Standard\Standard.cxx(116): error C2146: syntax error: missing ';' before identifier 'push'
6>E:\OCCT\occt2\src\Standard\Standard.cxx(116): error C2065: 'push': undeclared identifier
6>E:\OCCT\occt2\src\Standard\Standard.cxx(117): error C2146: syntax error: missing ';' before identifier 'ebx'
6>E:\OCCT\occt2\src\Standard\Standard.cxx(116): error C2065: 'ebx': undeclared identifier
6>E:\OCCT\occt2\src\Standard\Standard.cxx(117): error C2146: syntax error: missing ';' before identifier 'push'
6>E:\OCCT\occt2\src\Standard\Standard.cxx(117): error C2065: 'push': undeclared identifier
6>E:\OCCT\occt2\src\Standard\Standard.cxx(118): error C2146: syntax error: missing ';' before identifier 'ecx'
6>E:\OCCT\occt2\src\Standard\Standard.cxx(117): error C2065: 'ecx': undeclared identifier
6>E:\OCCT\occt2\src\Standard\Standard.cxx(118): error C2146: syntax error: missing ';' before identifier 'push'
6>E:\OCCT\occt2\src\Standard\Standard.cxx(118): error C2065: 'push': undeclared identifier
6>E:\OCCT\occt2\src\Standard\Standard.cxx(121): error C2146: syntax error: missing ';' before identifier 'edx'
6>E:\OCCT\occt2\src\Standard\Standard.cxx(118): error C2065: 'edx': undeclared identifier
6>E:\OCCT\occt2\src\Standard\Standard.cxx(121): error C2146: syntax error: missing ';' before identifier 'mov'
6>E:\OCCT\occt2\src\Standard\Standard.cxx(121): error C2065: 'mov': undeclared identifier
6>E:\OCCT\occt2\src\Standard\Standard.cxx(121): error C2146: syntax error: missing ';' before identifier 'eax'
6>E:\OCCT\occt2\src\Standard\Standard.cxx(121): error C2065: 'eax': undeclared identifier
6>E:\OCCT\occt2\src\Standard\Standard.cxx(123): error C2146: syntax error: missing ';' before identifier 'cpuid'
6>E:\OCCT\occt2\src\Standard\Standard.cxx(122): error C2065: 'cpuid': undeclared identifier
6>E:\OCCT\occt2\src\Standard\Standard.cxx(123): error C2146: syntax error: missing ';' before identifier 'mov'
6>E:\OCCT\occt2\src\Standard\Standard.cxx(123): error C2065: 'mov': undeclared identifier
6>E:\OCCT\occt2\src\Standard\Standard.cxx(123): error C2146: syntax error: missing ';' before identifier 'dwFeature'
6>E:\OCCT\occt2\src\Standard\Standard.cxx(123): error C2065: 'edx': undeclared identifier
6>E:\OCCT\occt2\src\Standard\Standard.cxx(125): error C2146: syntax error: missing ';' before identifier 'pop'
6>E:\OCCT\occt2\src\Standard\Standard.cxx(125): error C2065: 'pop': undeclared identifier
6>E:\OCCT\occt2\src\Standard\Standard.cxx(126): error C2146: syntax error: missing ';' before identifier 'edx'
6>E:\OCCT\occt2\src\Standard\Standard.cxx(125): error C2065: 'edx': undeclared identifier
6>E:\OCCT\occt2\src\Standard\Standard.cxx(126): error C2146: syntax error: missing ';' before identifier 'pop'
6>E:\OCCT\occt2\src\Standard\Standard.cxx(126): error C2065: 'pop': undeclared identifier
6>E:\OCCT\occt2\src\Standard\Standard.cxx(127): error C2146: syntax error: missing ';' before identifier 'ecx'
6>E:\OCCT\occt2\src\Standard\Standard.cxx(126): error C2065: 'ecx': undeclared identifier
6>E:\OCCT\occt2\src\Standard\Standard.cxx(127): error C2146: syntax error: missing ';' before identifier 'pop'
6>E:\OCCT\occt2\src\Standard\Standard.cxx(127): error C2065: 'pop': undeclared identifier
6>E:\OCCT\occt2\src\Standard\Standard.cxx(128): error C2146: syntax error: missing ';' before identifier 'ebx'
6>E:\OCCT\occt2\src\Standard\Standard.cxx(127): error C2065: 'ebx': undeclared identifier
6>E:\OCCT\occt2\src\Standard\Standard.cxx(128): error C2146: syntax error: missing ';' before identifier 'pop'
6>E:\OCCT\occt2\src\Standard\Standard.cxx(128): error C2065: 'pop': undeclared identifier
6>E:\OCCT\occt2\src\Standard\Standard.cxx(129): error C2146: syntax error: missing ';' before identifier 'eax'
6>E:\OCCT\occt2\src\Standard\Standard.cxx(128): error C2065: 'eax': undeclared identifier
6>E:\OCCT\occt2\src\Standard\Standard.cxx(129): error C2143: syntax error: missing ';' before '}'
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0091415)
git (administrator)
2020-04-02 15:38

Branch CR31483 has been created by kgv.

SHA-1: c1f2a762f98b02a3b05ba698c37cb813cd25e30c


Detailed log of new commits:

Author: kgv
Date: Thu Apr 2 15:38:46 2020 +0300

    0031483: Configuration - __asm keyword not supported on ARM within Windows target
    
    _M_IX86 is now checked before using _asm fot TBB workaround.
(0091419)
kgv (developer)
2020-04-02 17:16

Patch is ready for review.

http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR31483-master-KGV/ [^]
(0091452)
abv (manager)
2020-04-08 09:06
edited on: 2020-04-08 09:10

Reviewed, can be integrated.

OCCT branch CR31483
Products branch: none

Kirill, please consider reformatting comments to avoid lines longer than 80 - 90 chars. Lines of 150+ symbols are too long, and there is no reason not to add extra line break in comments!

(0091454)
git (administrator)
2020-04-08 09:15

Branch CR31483 has been updated forcibly by kgv.

SHA-1: 06815835debb9fb06b2fa043c36ebde8b8cadc9e
(0091474)
bugmaster (administrator)
2020-04-09 10:06

Combination -
OCCT branch : WEEK-15
master SHA - 1e687642cce78190836fc3f6b1c5783933f20254
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : WEEK-15 SHA - 8eb244753336daf5f887198e20b30ea5da22fe6b
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16888.790000000165 / 16879.510000000293 [+0.05%]
Products
Total CPU difference: 11314.170000000082 / 11333.720000000112 [-0.17%]
Windows-64-VC14:
OCCT
Total CPU difference: 18297.875 / 18357.296875 [-0.32%]
Products
Total CPU difference: 13177.75 / 13129.8125 [+0.37%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0091518)
git (administrator)
2020-04-11 12:59

Branch CR31483 has been deleted by inv.

SHA-1: 06815835debb9fb06b2fa043c36ebde8b8cadc9e

- Related Changesets
occt: master 247ecf1b
Timestamp: 2020-04-02 12:38:46
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031483: Configuration - __asm keyword not supported on ARM within Windows target

_M_IX86 is now checked before using _asm fot TBB workaround.
mod - src/Standard/Standard.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-04-02 15:14 Vico Liang New Issue
2020-04-02 15:14 Vico Liang Assigned To => kgv
2020-04-02 15:21 kgv Category OCCT:Coding => OCCT:Configuration
2020-04-02 15:21 kgv Summary __asm keyword not supported on ARM => Configuration - __asm keyword not supported on ARM within Windows target
2020-04-02 15:22 kgv Relationship added child of 0025396
2020-04-02 15:22 kgv Product Version 7.4.0 => 6.8.0
2020-04-02 15:38 git Note Added: 0091415
2020-04-02 17:16 kgv Note Added: 0091419
2020-04-02 17:16 kgv Assigned To kgv => abv
2020-04-02 17:16 kgv Status new => resolved
2020-04-08 09:06 abv Note Added: 0091452
2020-04-08 09:06 abv Assigned To abv => bugmaster
2020-04-08 09:06 abv Status resolved => reviewed
2020-04-08 09:10 abv Note Edited: 0091452 View Revisions
2020-04-08 09:15 git Note Added: 0091454
2020-04-09 10:06 bugmaster Note Added: 0091474
2020-04-09 10:06 bugmaster Status reviewed => tested
2020-04-09 10:07 bugmaster Test case number => Not required
2020-04-11 12:28 bugmaster Changeset attached => occt master 247ecf1b
2020-04-11 12:28 bugmaster Status tested => verified
2020-04-11 12:28 bugmaster Resolution open => fixed
2020-04-11 12:59 git Note Added: 0091518


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker